play.data.validation

## Class RangeCheck

- java.lang.Object
- - net.sf.oval.AbstractCheck
  - - net.sf.oval.configuration.annotation.AbstractAnnotationCheck<Range>
    - - play.data.validation.RangeCheck

- All Implemented Interfaces:
    java.io.Serializable, net.sf.oval.Check, net.sf.oval.configuration.annotation.AnnotationCheck<Range>

      public class RangeCheck
      extends net.sf.oval.configuration.annotation.AbstractAnnotationCheck<Range>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeCheck()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Range range)`
    `java.util.Map<java.lang.String,java.lang.String>` | `createMessageVariables()`
    `boolean` | `isSatisfied(java.lang.Object validatedObject, java.lang.Object value, net.sf.oval.context.OValContext context, net.sf.oval.Validator validator)`

    - ### Methods inherited from class net.sf.oval.AbstractCheck

      `getAppliesTo, getAppliesToDefault, getContext, getErrorCode, getMessage, getMessageVariables, getProfiles, getSeverity, getTarget, getWhen, isActive, requireMessageVariablesRecreation, setAppliesTo, setContext, setErrorCode, setMessage, setProfiles, setSeverity, setTarget, setWhen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.oval.Check

      `getAppliesTo, getContext, getErrorCode, getMessage, getMessageVariables, getProfiles, getSeverity, getTarget, getWhen, isActive, setAppliesTo, setContext, setErrorCode, setMessage, setProfiles, setSeverity, setTarget, setWhen`

- - ### Constructor Detail

    - #### RangeCheck

          public RangeCheck()

  - ### Method Detail

    - #### configure

          public void configure(Range range)

      Specified by:
        `configure` in interface `net.sf.oval.configuration.annotation.AnnotationCheck<Range>`
      Overrides:
        `configure` in class `net.sf.oval.configuration.annotation.AbstractAnnotationCheck<Range>`

    - #### isSatisfied

          public boolean isSatisfied(java.lang.Object validatedObject,
                                     java.lang.Object value,
                                     net.sf.oval.context.OValContext context,
                                     net.sf.oval.Validator validator)

    - #### createMessageVariables

          public java.util.Map<java.lang.String,java.lang.String> createMessageVariables()

      Overrides:
        `createMessageVariables` in class `net.sf.oval.AbstractCheck`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly